Bug 148476 - Shrink button doesn't collaps the parent dialog
Summary: Shrink button doesn't collaps the parent dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-04-09 08:48 UTC by Roman Kuznetsov
Modified: 2022-06-04 06:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2022-04-09 08:48:28 UTC
Description:
Shrink button doesn't collaps the parent dialog 

Steps to Reproduce:
1. Open Calc
2. Open Conditional Formatting dialog using Conditional icon on the toolbar
3. Press the Shrink button to right from Range row in bottom part of the dialog
4. Look at still full size and empty dialog instead small field for address entering

Actual Results:
Shrink button doesn't collaps the parent dialog 

Expected Results:
Shrink button works as expected


Reproducible: Always


User Profile Reset: No



Additional Info:
repro in

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2d6af46a82c6b9f1565933e8a1175e7a184256ca
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL Jumbo

but no repro in

7.3.0.3

so it's a regression
Comment 1 Roman Kuznetsov 2022-04-09 08:59:38 UTC
I bisected tis one in win64-7.4 bisect repo and got a SHA
 5d388b94735e34ba445d65e1d5030a646aad7dbe

https://git.libreoffice.org/core/commit/5d388b94735e34ba445d65e1d5030a646aad7dbe

https://gerrit.libreoffice.org/c/core/+/129037

Added to CC:  Caolán McNamara

Could you please look at it? Thank you.
Comment 2 Commit Notification 2022-04-14 15:16:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d5c5c17a43726c1407d100e440a87ed06966d30

Resolves: tdf#148476 allow dialog resize buttons to "shrink" again

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2022-04-14 16:09:28 UTC
that seems to do what we want without compromising the desire behind the regressing commit